<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"

                template="/templates/mainWithMenu.xhtml">

    <ui:define name="title">
		<h:outputFormat value=" {0} >> {1} ">
			<f:param value="#{UIMessages.MAIN_SHORT_TITLE}" />
			<f:param value="COMPRA" />
		</h:outputFormat>		
    </ui:define>

    <ui:define name="location">

		<h:outputFormat value=" {0} > {1}">
			<f:param value="#{UIMessages.MENU_OPERATION}" />
			<f:param value="COMPRA" />
		</h:outputFormat>

    </ui:define>

    <ui:define name="body">

		<style>
			.tooltip {
				background-color:#{richSkin.generalBackgroundColor};
				border-width:3px;
				padding:10px;
			}
			.tooltip-text {
				width:100%;
				height:100%;
				cursor:url;
				border-width:0px;
				text-align:center;
				display: table-cell;
				vertical-align: middle;
			}
			.tooltipData {
				font-weight: bold;
			}
		</style>

        <a4j:form id="listarCOMPRANuevoForm">

			<h:panelGrid id="panelGridPrincipal"
						 width="100%" 
						 columns="1">
				<h:panelGrid columns="2" styleClass="center" width="100%" 
							 border="1" 
							 columnClasses="columnWidth5 rightAlign, columnWidth80 leftAlign" >
					
					<h:outputText value="MESSAGES:" />
					
					<rich:messages passedLabel="OK" layout="list" globalOnly="true" 
								   showDetail="true"
								   infoClass="littleInfoMessage_bold"
								   warnClass="littleWarnMessage_bold"
								   errorClass="littleErrorMessage_bold">
						<f:facet name="infoMarker">
							<h:graphicImage  value="/images/info16x16.gif" /> 
						</f:facet>
						<f:facet name="warnMarker">
							<h:graphicImage value="/images/alerta16x16.gif" />   
						</f:facet>
						<f:facet name="errorMarker">
							<h:graphicImage value="/images/error16x16.gif" />   
						</f:facet>
					</rich:messages>
				</h:panelGrid>
				
				<h:panelGrid columns="2" styleClass="center" width="100%" 
							 border="0" 
							 columnClasses="columnWidth20 rightAlign, columnWidth80 leftAlign" >

					<h:outputText		value="#{UIEntityLabels.LABEL_ALMACEN}:" 
								   styleClass="label_bold_right"/>
					<h:panelGroup rendered="#{entradaSalidaDirectaMB.entradaSalidaDirectaAlmacenDetalleListSize eq 0}">

						<h:selectOneRadio id="selectOneRadioAlmacen"
										  value="#{entradaSalidaDirectaMB.modoVenta}" 
										  valueChangeListener="#{entradaSalidaDirectaMB.almacenSelected}">
							<a4j:support	reRender="principalForm" event="onchange"/>
							<f:selectItems  value="#{entradaSalidaDirectaMB.tipoAlmacenList}"/>
						</h:selectOneRadio>
						<rich:message for="selectOneRadioAlmacen" errorClass="littleErrorMessage_bold">
							<f:facet name="errorMarker">
								<h:graphicImage value="/images/error16x16.gif" />   
							</f:facet>
						</rich:message>
					</h:panelGroup>
					<h:outputText	value="#{entradaSalidaDirectaMB.tipoAlmacenSeleccionado}" 
								  rendered="#{entradaSalidaDirectaMB.entradaSalidaDirectaAlmacenDetalleListSize gt 0}"/>					

					<!--
					<h:outputText value="#{UIEntityLabels.LABEL_PRODUCTO_NOMBRE} / #{UIEntityLabels.LABEL_PRODUCTO_PRESENTACION}:" styleClass="label_bold_right"/>
					<h:panelGroup>
						<h:inputText value="#{entradaSalidaDirectaMB.nombreDescripcion}"
									 valueChangeListener="#{entradaSalidaDirectaMB.nombreDescripcionChanged}">
							<a4j:support event="onchange" reRender="listarCOMPRANuevoForm" />
						</h:inputText>									
					</h:panelGroup>
					
					<rich:spacer  rendered="#{empty entradaSalidaDirectaMB.productoConNombreDescripcion}" 
								  rendererType="ajax" width="10" height="28" />
						
					<h:outputText value="SELCCIONE PRODUCTO Y CANTIDAD:" styleClass="label_bold_right"
								  rendered="#{not empty entradaSalidaDirectaMB.productoConNombreDescripcion}"/>

					<rich:spacer  rendered="#{empty entradaSalidaDirectaMB.productoConNombreDescripcion}" 
								  rendererType="ajax"  width="10" height="28" />
					
					<h:panelGroup rendered="#{not empty entradaSalidaDirectaMB.productoConNombreDescripcion}">

						<h:selectOneMenu id="resultProductoByNombreDescripcion"
										 value="#{entradaSalidaDirectaMB.productoSelected}" >
							<f:selectItems  value="#{entradaSalidaDirectaMB.productoConNombreDescripcion}"/>						
						</h:selectOneMenu>
						
						<h:inputText value="#{entradaSalidaDirectaMB.cantidadAgregar}" size="2">
							<f:convertNumber integerOnly="true"/>
							<f:validateLongRange minimum="1" maximum="9999"/>
						</h:inputText>

						<a4j:commandButton   value="+"
											 id="agregarPorNombreBtn"
											 actionListener="#{entradaSalidaDirectaMB.agregarNProductoBuscado}"
											 reRender="listarCOMPRANuevoForm"
											 ignoreDupResponses="true">
						</a4j:commandButton>

					</h:panelGroup>
					-->
					
					<h:outputText value="#{UIEntityLabels.LABEL_PRODUCTO_CODIGOBARRAS}:" styleClass="label_bold_right"/>
					<h:panelGroup >
						<h:inputText value="#{entradaSalidaDirectaMB.codigoBuscar}" id="codigoBuscar" size="12" maxlength="18" class="inputCant"
									 valueChangeListener="#{entradaSalidaDirectaMB.codigoBarrasChanged}">

							<a4j:support	event="onchange"
											reRender="listarCOMPRANuevoForm"
											oncomplete="#{rich:element('listarCOMPRANuevoForm:codigoBuscar')}.value='';#{rich:element('listarCOMPRANuevoForm:codigoBuscar')}.focus();"
											/>							
						</h:inputText>
						<!--
						<a4j:commandButton value="+"
										   actionListener="#{entradaSalidaDirectaMB.agregar1ProductoXCodigoBarras}"
										   reRender="listarCOMPRANuevoForm"									   
										   ignoreDupResponses="true"
										   oncomplete="#{rich:element('listarCOMPRANuevoForm:codigoBuscar')}.value='';#{rich:element('listarCOMPRANuevoForm:codigoBuscar')}.focus();">
						</a4j:commandButton>
						-->
						<h:outputText value="codigoBuscar=[#{entradaSalidaDirectaMB.codigoBuscar}]"/>
					</h:panelGroup>
					
				</h:panelGrid>

				<rich:dataTable value="#{entradaSalidaDirectaMB.entradaSalidaDirectaAlmacenDetalleList}"
								id="COMPRAVentaDetalleListTable"
								var="dvp"
								width="100%"  
								styleClass="center" columnClasses="columnWidth5 centerAlign,columnWidth10 rightAlign,columnWidth15 centerAlign,columnWidth60 leftAlign,columnWidth10 rightAlign" >

					<f:facet name="header">
						<h:panelGroup style="display:block; text-align:left; background-color:transparent;" >
							<h:outputText value="ACCIONES DEL COMPRA : " />
							<rich:spacer width="10"/>
							<a4j:commandButton value="PROCEDER" 
											   rendered="#{entradaSalidaDirectaMB.entradaSalidaDirectaAlmacenDetalleListSize gt 0}"
											   action="#{entradaSalidaDirectaMB.confirmarEntradaSalida}"/>
							<rich:spacer width="10"/>
							<a4j:commandButton	value="CANCELAR" 
											   actionListener="#{entradaSalidaDirectaMB.cancelarCompra}" 
											   reRender="listarCOMPRANuevoForm"
											   ignoreDupResponses="true"/>
						</h:panelGroup>

					</f:facet>

					<rich:column>
						<f:facet name="header">
							<h:outputText value="" />
						</f:facet>
						<h:panelGroup >
							<a4j:commandLink actionListener="#{entradaSalidaDirectaMB.eliminarProducto}"
											 reRender="listarCOMPRANuevoForm,panelEditarCantidad"
											 ignoreDupResponses="true">
								<h:graphicImage style="border-style:none;" value="/images/eliminar.gif" title="#{UIMessages.COMMON_DELETE}"/>
								<f:param name="productoId" value="#{dvp.producto.id}"/>
							</a4j:commandLink>

						</h:panelGroup>
					</rich:column>
					<rich:column>
						<f:facet name="header">
							<h:outputText value="CODIGO" />
						</f:facet>
						<h:outputText value="#{dvp.producto.codigoBarras}" />                    
					</rich:column>

					<rich:column>
						<f:facet name="header">
							<h:outputText value="CANT." />
						</f:facet>
						<h:inputText id="dvpCant" value="#{dvp.cantidad}" class="inputCant"
									 size="4" >
							<f:convertNumber integerOnly="true"/>
							<f:validateDoubleRange maximum="99999" minimum="1"/>
						</h:inputText>
						<a4j:commandLink actionListener="#{entradaSalidaDirectaMB.cantidadDetalleBtnChanged}"
										 reRender="listarCOMPRANuevoForm"
										 ignoreDupResponses="true">
							<h:graphicImage style="border-style:none;" value="/images/update.gif" 
											title="#{UIMessages.COMMON_UPDATE}"/>
							<f:param name="productoId" value="#{dvp.producto.id}"/>
						</a4j:commandLink>
						<rich:message for="dvpCant" errorClass="littleErrorMessage_bold">
							<f:facet name="errorMarker">
								<h:graphicImage value="/images/error16x16.gif" />   
							</f:facet>
						</rich:message>
					</rich:column>

					<rich:column  >
						<f:facet name="header">
							<h:outputText value="#{UIEntityLabels.LABEL_PRODUCTO} / #{UIEntityLabels.LABEL_PRODUCTO_PRESENTACION}" />
						</f:facet>
						<h:outputText value="#{dvp.producto.nombre} / #{dvp.producto.presentacion}"/><br/>
						<h:outputText value="( #{dvp.producto.contenido} #{dvp.producto.unidadMedida} / #{dvp.producto.unidadesPorCaja} UxCj.)"/>
					</rich:column>

					<rich:column>
						<f:facet name="header">
							<h:outputText value="PRECIO VENTA" />
						</f:facet>
						<!--
						<h:outputText value="#{dvp.precioVenta}">
							<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
						</h:outputText>
						-->
						<h:outputText value="$ "/>
						<h:inputText value="#{dvp.precioVenta}" class="inputCant"  size="5">
							<f:convertNumber maxFractionDigits="2" pattern="###,###,##0.00" locale="es_MX"/>
						</h:inputText>
						<a4j:commandLink actionListener="#{entradaSalidaDirectaMB.precioVentaDetalleBtnChanged}"
										 reRender="listarCOMPRANuevoForm"
										 ignoreDupResponses="true">
							<h:graphicImage style="border-style:none;" value="/images/update.gif" 
											title="#{UIMessages.COMMON_UPDATE}"/>
							<f:param name="productoId" value="#{dvp.producto.id}"/>
						</a4j:commandLink>
					</rich:column>
					<!--
					<rich:column>
						<f:facet name="header">
							<h:outputText value="IMPORTE" />
						</f:facet>
						<h:outputText value="#{dvp.precioVenta * dvp.cantidad}">
							<f:convertNumber maxFractionDigits="2" pattern="$ ###,###,##0.00" locale="es_MX"/>
						</h:outputText>

					</rich:column>
					-->
				</rich:dataTable>

			</h:panelGrid>
        </a4j:form>
    </ui:define>

</ui:composition>